# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "sensu-extensions"
  s.version = "1.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Sean Porter"]
  s.date = "2016-03-22"
  s.description = "The Sensu extension loader library"
  s.email = ["portertech@gmail.com"]
  s.files = [".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "lib/sensu/extensions.rb", "lib/sensu/extensions/handlers/debug.rb", "lib/sensu/extensions/loader.rb", "lib/sensu/extensions/mutators/json.rb", "lib/sensu/extensions/mutators/only_check_output.rb", "lib/sensu/extensions/mutators/ruby_hash.rb", "sensu-extensions.gemspec", "spec/assets/config.json", "spec/assets/extensions/error.rb", "spec/assets/extensions/extensions_symlinked", "spec/assets/extensions/mock_check.rb", "spec/assets/extensions/test.rb", "spec/assets/extensions_symlinked/symlinked_check.rb", "spec/extensions_spec.rb", "spec/handlers/debug_spec.rb", "spec/helpers.rb", "spec/loader_spec.rb", "spec/mutators/json_spec.rb", "spec/mutators/only_check_output_spec.rb", "spec/mutators/ruby_hash_spec.rb"]
  s.homepage = "https://github.com/sensu/sensu-extensions"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14"
  s.summary = "The Sensu extension loader library"
  s.test_files = ["spec/assets/config.json", "spec/assets/extensions/error.rb", "spec/assets/extensions/extensions_symlinked", "spec/assets/extensions/mock_check.rb", "spec/assets/extensions/test.rb", "spec/assets/extensions_symlinked/symlinked_check.rb", "spec/extensions_spec.rb", "spec/handlers/debug_spec.rb", "spec/helpers.rb", "spec/loader_spec.rb", "spec/mutators/json_spec.rb", "spec/mutators/only_check_output_spec.rb", "spec/mutators/ruby_hash_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<sensu-json>, [">= 1.1.0"])
      s.add_runtime_dependency(%q<sensu-logger>, [">= 0"])
      s.add_runtime_dependency(%q<sensu-settings>, [">= 0"])
      s.add_runtime_dependency(%q<sensu-extension>, [">= 0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.6"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<codeclimate-test-reporter>, [">= 0"])
    else
      s.add_dependency(%q<sensu-json>, [">= 1.1.0"])
      s.add_dependency(%q<sensu-logger>, [">= 0"])
      s.add_dependency(%q<sensu-settings>, [">= 0"])
      s.add_dependency(%q<sensu-extension>, [">= 0"])
      s.add_dependency(%q<bundler>, ["~> 1.6"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<codeclimate-test-reporter>, [">= 0"])
    end
  else
    s.add_dependency(%q<sensu-json>, [">= 1.1.0"])
    s.add_dependency(%q<sensu-logger>, [">= 0"])
    s.add_dependency(%q<sensu-settings>, [">= 0"])
    s.add_dependency(%q<sensu-extension>, [">= 0"])
    s.add_dependency(%q<bundler>, ["~> 1.6"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<codeclimate-test-reporter>, [">= 0"])
  end
end

